<mat-sidenav-container class="container" fullscreen>
  <mat-sidenav [mode]="sideNavMode" class="sidenav" #sidenav [opened]="sideNavOpened" style="overflow: hidden;">
    <mat-toolbar color="primary" class="mat-elevation-z4">
      <img [src]="global.LOGO_URL" width="36px">
      <h1 class="logo">MegaChat.<span style="font-size: 12px;">com</span></h1>
    </mat-toolbar>
    <cdk-sidemenu [user]="user"></cdk-sidemenu>
  </mat-sidenav>
  <mat-sidenav-content style="z-index: unset;overflow: hidden;">
    <mat-drawer-container fullscreen>
      <mat-drawer mode="side" #drawer class="drawer" [opened]="matDrawerOpened" style="overflow: hidden;">
        <mat-toolbar color="primary" class="mat-elevation-z4">
          <img [src]="global.LOGO_URL" width="36px">
        </mat-toolbar>
        <cdk-sidemenu [iconOnly]="true" [user]="user"></cdk-sidemenu>
      </mat-drawer>
      <mat-drawer-content style="overflow: hidden;">
        <cdk-toolbar [user]="user" [sidenav]="sidenav" [drawer]="drawer"
                     [matDrawerShow]="matDrawerShow" style="z-index: 500"></cdk-toolbar>

        <perfect-scrollbar  style="height: calc(100% - 33px);" >
          <router-outlet></router-outlet>
        </perfect-scrollbar>

      </mat-drawer-content>
    </mat-drawer-container>
  </mat-sidenav-content>
</mat-sidenav-container>
